You can install or update the vRealize Log Insight Linux agent as a root or non-root user and you can set the target server during installation. After installation, you can verify the installed version.

Prerequisites

  • Log in as root or use sudo to run console commands.

  • The vRealize Log Insight Linux agent needs access to syslog and networking services to function. Install and run the vRealize Log Insight Linux agent on run levels 3 and 5. If you want the vRealize Log Insight Linux agent to work under other runlevels, configure the system appropriately.

Procedure

  1. Open a console and run the rpm -i package_name command to install the vRealize Log Insight Linux agent.

    Replace package_name with the appropriate version.

     rpm -i VMware-Log-Insight-Agent-VERSION-BUILD_NUMBER.rpm	  
    Note:
    sudo SERVERHOST=hostname rpm -i VMware-Log-Insight-Agent-VERSION-BUILD_NUMBER.rpm
  2. To set the target vRealize Log Insight server during installation run the sudo command and replace hostname with the IP address or hostname of the vRealize Log Insight server.
    sudo SERVERHOST=hostname rpm -i VMware-Log-Insight-Agent-VERSION-BUILD_NUMBER.rpm
  3. (Optional) : To update the vRealize Log Insight Linux agent run the rpm -Uhv command.
     rpm -Uhv VMware-Log-Insight-Agent-VERSION-BUILD_NUMBER.rpm
    Note:

    You can run other RPM commands such as -h, --hash, --version,--allfiles and so on during the installation, update, or uninstallation of the vRealize Log Insight Linux agent RPM package, but they are not supported.

  4. (Optional) : To install the vRealize Log Insight Linux agent as a non root user, run the sudo command.
    sudo LIAGENTUSER=liagent rpm -i VMware-Log-Insight-Agent-VERSION-BUILD_NUMBER.rpm

    If the specified user does not exist, the vRealize Log Insight Linux agent creates the user account during the installation. The created account is not deleted after uninstallation. If you install the vRealize Log Insight Linux agent with the LIAGENTUSER=non_root_user parameter and try to upgrade with LIAGENTUSER=non_root_user2, a conflict occurs and warnings appear because non_root_user2 user does not have the permissions of the user non_root_user.

  5. (Optional) : Double click the appropriate version of the RPM package to install or update the vRealize Log Insight Linux agent.
  6. (Optional) : Verify the installed version by running the rpm -qa | grep Log-Insight-Agent command.